Bug 1815726 - Re-Review Request: mkdocs-material - A material design theme for MkDocs
Summary: Re-Review Request: mkdocs-material - A material design theme for MkDocs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1811410
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-21 06:59 UTC by Robin Lee
Modified: 2020-04-25 03:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-25 02:23:20 UTC
Type: ---
jamatos: fedora-review+


Attachments (Terms of Use)

Comment 1 José Matos 2020-03-21 19:13:59 UTC
After mkdocs review is done I will review this package.

Comment 2 Robin Lee 2020-04-08 15:00:01 UTC
Spec URL: https://cheeselee.fedorapeople.org/mkdocs-material.spec
SRPM URL: https://cheeselee.fedorapeople.org/mkdocs-material-5.0.1-1.fc33.src.rpm

Changes:
- Update to 5.0.1
- No globbing %%{python3_sitelib}

Comment 3 José Matos 2020-04-09 14:47:10 UTC
The package is simple, this is a re-review and the license is correct and
acceptable.

The issue in %files has been fixed so the package is approved.

With that said this package does not build in any Fedora release because the only release where it would work is Rawhide where python3dist(pymdown-extensions) >= 7 will be satisfied as soon as a new compose is available.

Since you are also its packager you can coordinate with yourself if you want to release this for other releases. :-)

Comment 4 Miro Hrončok 2020-04-09 16:39:42 UTC
This is very weird:

%{python3_sitelib}/src/




Why does a "mkdocs-material" package provide a Python module called "src"?

Comment 5 Robin Lee 2020-04-10 02:31:04 UTC
(In reply to Miro Hrončok from comment #4)
> This is very weird:
> 
> %{python3_sitelib}/src/
> 
> 
> 
> 
> Why does a "mkdocs-material" package provide a Python module called "src"?

I checked this issue and reported upstream. I will exclude that directory when commit.

Comment 7 Fedora Update System 2020-04-15 12:21:55 UTC
FEDORA-2020-02f348a5cd has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-02f348a5cd

Comment 8 Fedora Update System 2020-04-15 12:21:56 UTC
FEDORA-2020-11b468e6fb has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-11b468e6fb

Comment 9 Fedora Update System 2020-04-15 19:58:08 UTC
FEDORA-2020-02f348a5cd has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-02f348a5cd \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-02f348a5cd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-04-16 19:28:22 UTC
FEDORA-2020-11b468e6fb has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-11b468e6fb \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-11b468e6fb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-04-25 02:23:20 UTC
FEDORA-2020-11b468e6fb has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-04-25 03:00:58 UTC
FEDORA-2020-02f348a5cd has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.